import request from '@/utils/request'

export function getTestOrgList(query) {
  return request({
    url: '/laboratory/testorg/',
    method: 'get',
    params: query
  })
}
export function getTestOrg(id) {
  return request({
    url: `/laboratory/testorg/${id}/`,
    method: 'get'
  })
}
export function createTestOrg(data) {
  return request({
    url: '/laboratory/testorg/',
    method: 'post',
    data
  })
}

export function updateTestOrg(id, data) {
  return request({
    url: `/laboratory/testorg/${id}/`,
    method: 'put',
    data
  })
}

export function deleteTestOrg(id) {
  return request({
    url: `/laboratory/testorg/${id}/`,
    method: 'delete'
  })
}

export function getTestOrgNoticeList(query) {
  return request({
    url: '/laboratory/testnotice/',
    method: 'get',
    params: query
  })
}
export function getTestOrgNotice(id) {
  return request({
    url: `/laboratory/testnotice/${id}/`,
    method: 'get'
  })
}
export function createTestOrgNotice(data) {
  return request({
    url: '/laboratory/testnotice/',
    method: 'post',
    data
  })
}

export function updateTestOrgNotice(id, data) {
  return request({
    url: `/laboratory/testnotice/${id}/`,
    method: 'put',
    data
  })
}

export function deleteTestOrgNotice(id) {
  return request({
    url: `/laboratory/testnotice/${id}/`,
    method: 'delete'
  })
}
